digiKam Developer Documentation: Digikam::DisjointMetadataDataFields Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::DisjointMetadataDataFields Class Reference

This class was split from DisjointMetadata::Private to allow to use the automatic C++ copy constructor (DisjointMetadata::Private contains a QMutex and is thus non-copyable)

## Public Types
enum | Status { MetadataInvalid , MetadataAvailable , MetadataDisjoint }
| The status enum describes the result of joining several metadata sets. More...

## Public Attributes
int | colorLabel = -1
bool | colorLabelChanged = false
Status | colorLabelStatus = MetadataInvalid
CaptionsMap | comments
bool | commentsChanged = false
Status | commentsStatus = MetadataInvalid
int | count = 0
QDateTime | dateTime
bool | dateTimeChanged = false
Status | dateTimeStatus = MetadataInvalid
int | highestColorLabel = -1
int | highestPickLabel = -1
int | highestRating = -1
bool | invalid = false
QDateTime | lastDateTime
Template | metadataTemplate
int | pickLabel = -1
bool | pickLabelChanged = false
Status | pickLabelStatus = MetadataInvalid
int | rating = -1
bool | ratingChanged = false
Status | ratingStatus = MetadataInvalid
QList< int > | tagIds
QStringList | tagList
QMap< int, Status > | tags
bool | tagsChanged = false
bool | templateChanged = false
Status | templateStatus = MetadataInvalid
CaptionsMap | titles
bool | titlesChanged = false
Status | titlesStatus = MetadataInvalid
bool | withoutTags = false

## Member Enumeration Documentation

## ◆ Status

enum Digikam::DisjointMetadataDataFields::Status

If only one set has been added, the status is always MetadataAvailable. If no set has been added, the status is always MetadataInvalid

Enumerator
MetadataInvalid | Not yet filled with any value.
MetadataAvailable | Only one data set has been added, or a common value is available.
MetadataDisjoint | No common value is available. For rating and dates, the interval is available.